<?php
/***************************************************************
 	PhoneLookup (http://www.beppo.it)
 	An utility to lookup phone numbers from asterisk to vTiger
 	
 	Copyright (C) 2017 Beppo Mazzucato <direzione@beppo.it>
 	 	
 	PhoneLookup is free software; you can redistribute it and/or modify
 	it under the terms of the GNU General Public License as published by
 	the Free Software Foundation; either version 3 of the License, or
 	(at your option) any later version.
 	
 	PhoneLookup is distributed in the hope that it will be useful,
 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 	GNU General Public License for more details.
 	
 	You can find the complete license at http://www.gnu.org/licenses/gpl.html
****************************************************************/

require_once('config.php');
require_once('include/utils/utils.php');
global $adb;


// HTTP authentication with username ed accesskey
if (!isset($_SERVER['PHP_AUTH_USER'])) {
    header('WWW-Authenticate: Basic realm="Beppo"');
    header('HTTP/1.0 401 Unauthorized');
    echo 'Access Denied';
    exit;
} else {
    $sql= "SELECT id from vtiger_users WHERE user_name=? AND accesskey=?";
    $result = $adb->pquery($sql, array($_SERVER['PHP_AUTH_USER'],$_SERVER['PHP_AUTH_PW']));
    if (! $row = $adb->fetch_array($result)) {
       echo 'Access Denied';
       exit;
       }   
}

// Check in number is in database
$fnumber = preg_replace('/[-()\s+]/', '',$_REQUEST['number']);
if(strlen($fnumber)==0)return; //Case anonimous call
$rnumber = strrev($fnumber);

$result = $adb->pquery('SELECT crmid, fieldname FROM vtiger_pbxmanager_phonelookup WHERE fnumber LIKE "'. $fnumber . '%" OR rnumber LIKE "'. $rnumber . '%" ', array());
if($adb->num_rows($result)){
   $crmid = $adb->query_result($result, 0, 'crmid');
   $contact = $adb->pquery('SELECT label,setype FROM vtiger_crmentity WHERE crmid=? AND deleted=0', array($crmid));
   if($adb->num_rows($result)){
      echo $adb->query_result($contact, 0, 'label');
      }
   }

